package com.sun.org.apache.xerces.internal.jaxp.validation;

import org.w3c.dom.ProcessingInstruction;
import org.w3c.dom.Comment;
import org.w3c.dom.CDATASection;
import org.w3c.dom.Text;
import com.sun.org.apache.xerces.internal.xni.XNIException;
import org.w3c.dom.DocumentType;
import javax.xml.transform.dom.DOMResult;
import com.sun.org.apache.xerces.internal.xni.XMLDocumentHandler;

interface DOMDocumentHandler extends XMLDocumentHandler
{
    public abstract void setDOMResult(DOMResult p0);
    
    public abstract void doctypeDecl(DocumentType p0) throws XNIException;
    
    public abstract void characters(Text p0) throws XNIException;
    
    public abstract void cdata(CDATASection p0) throws XNIException;
    
    public abstract void comment(Comment p0) throws XNIException;
    
    public abstract void processingInstruction(ProcessingInstruction p0) throws XNIException;
    
    public abstract void setIgnoringCharacters(boolean p0);
}
